Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Name:      	graphviz
Version:   	2.20.1
Release:   	1

License: 	CPL
URL:		http://www.graphviz.org
Group:     	System/Libraries
Summary:   	Graphviz - Graph Visualization Software
Source0: 	%{name}-%{version}.tar.gz

BuildRoot: 	%{_tmppath}/%{name}-buildroot

BuildRequires:	zlib-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	expat-devel
BuildRequires:	freetype-devel
BuildRequires:	libICE-devel
BuildRequires:	libSM-devel
BuildRequires:	libX11-devel
BuildRequires:	libXaw-devel
BuildRequires:	libXext-devel
BuildRequires:	libXmu-devel
BuildRequires:	libXpm-devel
BuildRequires:	libXt-devel
BuildRequires:	glibc-devel
BuildRequires:	fontconfig-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Graphviz is open source graph visualization software.
It has several main graph layout programs.
It also has web and interactive graphical interfaces,
and auxiliary tools, libraries, and language bindings.
The Graphviz layout programs take descriptions of graphs
in a simple text language, and make diagrams in several
useful formats such as images and SVG for web pages,
Postscript for inclusion in PDF or other documents;
or display in an interactive graph browser.
(Graphviz also supports GXL, an XML dialect.) 
Graphviz has many useful features for concrete diagrams,
such as options for colors, fonts, tabular node layouts,
line styles, hyperlinks, and custom shapes. 
In practice, graphs are usually generated from an external
data sources, but they can also be created and edited
manually, either as raw text files or within
a graphical editor.

%package	devel
Summary: 	%{name} development headers.
Group:     	Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with graphviz.

%package	doc
Summary: 	%{name} documents.
Group:     	Documentation
Requires: 	%{name} = %{version}-%{release}

%description	doc
%{name} documents.

%post
%_bindir/dot -c > /dev/null 2>&1 || :
ldconfig

%postun
if ! test -x %_bindir/dot; then rm -f %_libdir/%{name}/config; fi
ldconfig

%prep
%setup -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
--prefix=%_prefix \
--bindir=%_bindir \
--libdir=%_libdir \
--includedir=%_includedir \
--datadir=%_datadir \
--mandir=%_mandir \
--disable-guile \
--disable-java \
--disable-lua \
--disable-ocaml \
--disable-perl \
--disable-php \
--disable-python \
--disable-ruby \
--disable-sharp \
--disable-tcl \
--disable-dependency-tracking
make

%install
# remove old build
rm -rf $RPM_BUILD_ROOT
# install files
make install DESTDIR=$RPM_BUILD_ROOT
# set execution flags
chmod -x $RPM_BUILD_ROOT%_datadir/%{name}/lefty/*
# install documents
mkdir -p $RPM_BUILD_ROOT%_docdir/%{name}-%{version}/{html,pdf}
cp doc/*.html $RPM_BUILD_ROOT%_docdir/%{name}-%{version}/
cp doc/info/*.{gif,html} $RPM_BUILD_ROOT%_docdir/%{name}-%{version}/html/
cp doc/*.pdf $RPM_BUILD_ROOT%_docdir/%{name}-%{version}/pdf/
cp AUTHORS COPYING ChangeLog NEWS README $RPM_BUILD_ROOT%_docdir/%{name}-%{version}/
cp cpl1.0.txt $RPM_BUILD_ROOT%_docdir/%{name}-%{version}/CPL
# removing unwanted stuff
rm -Rf $RPM_BUILD_ROOT%_datadir/%{name}/doc
rm -Rf $RPM_BUILD_ROOT%_datadir/%{name}/demo
# removing unused bindings
rm -Rf $RPM_BUILD_ROOT%_libdir/%{name}/{guile,java,lua,ocaml,perl,php,python,ruby,sharp,tcl}

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_libdir/%{name}/*.so.*
%_datadir/%{name}/graphs
%_datadir/%{name}/lefty
%_mandir

%files devel
%defattr(-,root,root)
%_includedir/%{name}
%_pkgconfig
%_libdir/*.la
%_libdir/*.so
%_libdir/%{name}/*.la
%_libdir/%{name}/*.so

%files doc
%defattr(-,root,root)
%_docdir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.20.1-1
- Version update
* Fri May 02 2008 Christian Wasem <wasem@ccux-linux.de> 2.18-1
- Version update
* Sat Sep 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.8-2
- rebuilt against X.org 7.1.1
* Wed Apr 26 2006 Christian Wasem <wasem@ccux-linux.de> 2.8-1
- Update to Version 2.8
* Wed Jun 29 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-1
- Initial Release
